/* GCC */
#include <iostream>
#include <cmath>
#include <algorithm>
#include <stdio.h>
#include <string>
#include <stack>
#include <ctime>
#include <sstream>
#include <queue>
#include <vector>
#include <set>

using namespace std;

#define fast ios_base::sync_with_stdio(false);cin.tie(false);cout.tie(false)
#define file(s) freopen(s".in","r",stdin);freopen(s".out","w",stdout)

struct points{
    int x,y;
};

bool comp(points a, points b){
    return a.x < b.x || (a.x == b.x && a.y < b.y);
}

vector <points> a;

int main(){
    file("fortress");
    fast;
    int n;
    cin >> n;
    a.resize(n);
    for (int i = 0; i < n; i++)
        cin >> a[i].x >> a[i].y;
    sort(a.begin(),a.end(),comp);
    vector <int> v;
    v.assign(n,0);
    bool f1,f2;
    f1 = f2 = 1;
    int x1 = a[0].x, y1 = a[0].y,
        x3 = a[n-1].x, y3 = a[n-1].y;
    for (int i = 1; i < n - 1; i++){
        int x2 = a[i].x, y2 = a[i].y;
        if (x1 * (y3 - y2) + x2 * (y1 - y3) + x3 * (y2 - y1) > 0) f2 = 0, v[i] = -1;
        else if (x1 * (y3 - y2) + x2 * (y1 - y3) + x3 * (y2 - y1) < 0) f1 = 0, v[i] = 1;
    }
    if (f2 && f1) return cout << 0 << endl, 0;
    int ans1 = 2, ans2 = 2;
    for (int i = 1; i < n - 1; i++)
        if (v[i] == 1 || (v[i] == 0 && f1)) ans1++;
    for (int i = n - 2; i > 0; i--)
        if (v[i] == -1 || (v[i] == 0 && !f1)) ans2++;
    cout << max(ans1,ans2) << endl;
}
