#include <cstdio>
#include <cmath>
#include <algorithm>
#include <vector>

using namespace std;

int main(){
    freopen("nested.in", "r", stdin);
    freopen("nested.out", "w", stdout);

    int n, M;
    vector <int> H;
    vector <vector <long long> > Kol;

    scanf("%d%d", &n, &M);
    H.resize(n+1);
    H[0] = (1<<M) - 1;
    for (int i = 1; i<=n; i++) scanf("%d", &H[i]);

    Kol.resize(n+1); Kol[0].resize(((1<<M)-1)/41 + 1, 1);
    for (int i = 1; i<=n; i++) Kol[i].resize(((1<<M)-1)/41 + 1, 0);

    for (int i = 1; i<=n; i++){
        if (i > 1) for (int j = 0; j<Kol[i-1].size(); j++){
            int m = j*41+H[i-1];
            for (int k = m; ; k = (k-1)&m){
                if (k%41 == H[i]){
                    Kol[i][k/41] += Kol[i-1][j];
                }
                if (k == 0) break;
            }
        } else {
            for (int k = (1<<M)-1; ; k = (k-1) & ((1<<M)-1) ){
                if (k%41 == H[1]){
                    Kol[1][k/41] += 1;
                }
                if (k == 0) break;
            }
        }
    }

    long long ans = 0;
    for (int i = 0; i<Kol.back().size(); i++) ans += Kol.back()[i];

    printf("%lld\n\n", ans);
/*
    for (int i = 0; i<=n; i++){
        for (int j = 0; j<Kol[i].size(); j++) printf("%lld ", Kol[i][j]);
        printf("\n");
    }
*/

    fclose(stdin);
    fclose(stdout);
    return 0;
}
