/* GCC */
#include <iostream>
#include <fstream>
#include <vector>
#include <cmath>
#include <algorithm>

using namespace std;
int n, m, maxMask;
const int MOD=41;
long long ans;
vector<vector<long long> > dp;
vector<int> h;

void readData(){
    freopen("nested.in", "r", stdin);

    scanf("%d %d\n", &n, &m);
    maxMask=(1<<m);
    dp.assign(n, vector<long long>(1+maxMask/MOD, 0));
    h=vector<int>(n);
    for(int i=0; i<n; i++)
        scanf("%d", &h[i]);
    reverse(h.begin(), h.end());

    fclose(stdin);
}

void solve(){
    for(int i=h[0]; i<maxMask; i+=MOD){
        dp[0][i/MOD]=1;
    }

    for(int i=1; i<n; i++){
        for(int currMask=h[i]; currMask<maxMask; currMask+=MOD){
            for(int prevMask=currMask; ; prevMask=(prevMask-1)&currMask ){
                if(prevMask%MOD==h[i-1]){
                    dp[i][currMask/MOD]+=dp[i-1][prevMask/MOD];
                }
                if(prevMask==0) break;
            }
        }
    }

    ans=0;
    for(int i=h[n-1]; i<maxMask; i+=MOD){
        ans+=dp[n-1][i/MOD];
    }
}

void fileOut(){
    freopen("nested.out", "w", stdout);

    printf("%I64d\n", ans);

    fclose(stdout);
}

int main(){
    readData();
    solve();
    fileOut();
    return 0;
}
