#include<iostream>
#include<cstdio>
#include<vector>
#define getint(d) scanf("%d", &d)
#define putint(d) printf("%d\n", d)

using namespace std;

int n, m;

vector<int> edges[24];
bool matrix[24][24];

int s;
int symmetryes[120][24];
int gen[24];
bool used[24];
void find_syms(int level){
    if(level == n){
        for(int i = 0; i < n; ++i)
            symmetryes[s][i] = gen[i];
        ++s;
        return;
    }
    for(int i = 0; i < n; ++i){
        if(used[i]) continue;
        bool fail = false;
        for(int j = 0; j < level; ++j)
            if(matrix[j][level] != matrix[gen[j]][i]){
                fail = true;
                break;
            }
        if(fail) continue;
        gen[level] = i;
        used[i] = true;
        find_syms(level+1);
        used[i] = false;
    }
}

int cycles[24];

int main(){
    freopen("farben.in", "r", stdin);
    freopen("farben.out", "w", stdout);
    getint(m);
    string line;
    getline(cin, line);
    while(getline(cin, line)){
        line += ' ';
        int num = 0;
        for(int i = 0; i < line.size(); ++i){
            char c = line[i];
            if(c == ' '){
                edges[n].push_back(num-1);
                matrix[n][num-1] = true;
                matrix[num-1][n] = true;
                num = 0;
                continue;
            }
            num = num * 10 + (c - '0');
        }
        ++n;
    }
    find_syms(0);
    for(int i = 0; i < s; ++i){
        int num_of_cycles = 0;
        for(int j = 0; j < n; ++j){
            if(symmetryes[i][j] == -1) continue;
            int k = j;
            while(symmetryes[i][k] != -1){
                int to = symmetryes[i][k];
                symmetryes[i][k] = -1;
                k = to;
            }
            ++num_of_cycles;
        }
        ++cycles[num_of_cycles];
    }
    long long ans = cycles[n] * m;
    for(int i = n-1; i >= 1; --i)
        ans = (ans + cycles[i]) * m;
    ans /= s;
    putint(ans);
}
